package com.vendor.platform.ui;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.core.runtime.Platform;
import org.eclipse.swt.custom.CTabFolder;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;
import org.eclipse.swt.widgets.Listener;
import org.eclipse.ui.IViewPart;
import org.eclipse.ui.IWorkbenchPage;
import org.eclipse.ui.PlatformUI;

public class ToolUtils {
  public static String getInstallPath() {
    String path = Platform.getInstallLocation().getURL().getPath();
    if (path.startsWith("//"))
      return path; 
    if (path.startsWith("/")) {
      String osName = System.getProperties().getProperty("os.name");
      if (osName.toLowerCase().startsWith("windows")) {
        path = path.substring(1);
      } else {
        if (osName.toLowerCase().startsWith("linux"))
          return path; 
        path = path.substring(1);
      } 
    } 
    return path;
  }
  
  public static void disableDetach(String pageId) {
    IWorkbenchPage page = PlatformUI.getWorkbench().getActiveWorkbenchWindow().getActivePage();
    IViewPart viewPart = page.findView(pageId);
    if (viewPart == null)
      return; 
    Control[] control = viewPart.getSite().getShell().getChildren();
    Composite composite = null;
    if (control[0] instanceof Composite)
      composite = (Composite)control[0]; 
    if (composite == null)
      return; 
    CTabFolder ctabFolder = null;
    for (int i = 0; i < 5; i++) {
      Control tempControl = composite.getChildren()[0];
      if (tempControl instanceof CTabFolder) {
        if ("org.eclipse.ui.console.ConsoleView".equals(pageId) && (composite
          .getChildren()).length > 1)
          tempControl = composite.getChildren()[1]; 
        ctabFolder = (CTabFolder)tempControl;
        break;
      } 
      if (tempControl instanceof Composite)
        composite = (Composite)tempControl; 
    } 
    if (ctabFolder == null)
      return; 
    Listener[] menuDetectListeners = ctabFolder.getListeners(35);
    if (menuDetectListeners != null)
      for (int j = 0; j < menuDetectListeners.length; j++)
        ctabFolder.removeListener(35, menuDetectListeners[j]);  
  }
}
